Subject: RE: mc addr deallocation (was RE: comments on requirements draft 04)

From: "Hattig, Myron" <[email-masked]>
Date: Wed, 9 Aug 2000 13:28:51 -0700

My mistake, I confused IGMP with MCAP in RFC 2734 where sender owns a IP to
IEEE 1394 mcast address mapping.

-myron

> -----Original Message-----
> From: Dave Thaler [mailto:[email-masked]]
> Sent: Wednesday, August 09, 2000 10:30 AM
> To: Erik Guttman; Hattig, Myron
> Cc: [email-masked]
> Subject: RE: mc addr deallocation (was RE: comments on requirements
> draft 04)
> 
> 
> Erik Guttman writes:
> > > >    The text should simply add 'or group member' where it 
> > says source
> > > >    and I think it would work.
> > > 
> > > As far as I know only senders join multicast groups, not 
> > receivers. If
> > > receivers don't join, they can't dealloc the address. I'll 
> > wait for others
> > > to comment. 
> > 
> > You have it backwards.  Receivers join mc groups - which initiates 
> > IGMP messages, for example.   Senders merely use mc 
> > destination addresses.  
> > The point is subtle, though.  The point of allocating a mc 
> address is
> > to distinguish one session from another - to keep them from 
> colliding.
> > Who knows what constitutes a session?  Those who will send or those
> > who will receive?  I assert this is application dependent and Dave
> > Thaler (who wrote the text above) will likely agree.  
> > 
> > Dave?
> 
> Yes, I agree with Erik.
> 
> -Dave